/* Allgemeine Stile für die Webseite */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

h1 {
  text-align: center;
  margin: 0;
  padding: 20px;
  background-color: #303131de;
  color: white;
  font-family: Arial, Helvetica, sans-serif;
}

h2 {
  font-family: Arial, sans-serif;
  font-weight: 700;
  color: white;
  margin-bottom: 10px;
}

/* Container-Stil */
.container {
  display: flex;
  flex: 1;
  overflow: hidden; /* Verhindert das Scrollen der gesamten Seite */
}

/* Linke Seite Stil */
.left-side {
  flex: 1;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-y: auto; /* Scrollbar bei Bedarf */
  background-color: #48494ade;
  color: rgb(255, 255, 255);
}

/* Rechte Seite Stil */
.right-side {
  flex: 1;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-y: auto; /* Scrollbar bei Bedarf */
  background-color: #8c9495;
}

/* Stile für den Button-Container */
.button-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px; /* Allgemeine Stile für die Webseite */
  body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
  }

  h1 {
    text-align: center;
    margin: 0;
    padding: 20px;
  }

  /* Container-Stil */
  .container {
    display: flex;
    flex: 1;
    overflow: hidden; /* Verhindert das Scrollen der gesamten Seite */
  }

  /* Linke Seite Stil */
  .left-side {
    flex: 1;
    padding: 20px;
    border-right: 2px solid #ccc; /* Trennlinie zwischen den beiden Seiten */
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto; /* Scrollbar bei Bedarf */
  }

  /* Rechte Seite Stil */
  .right-side {
    flex: 1;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto; /* Scrollbar bei Bedarf */
  }

  /* Stile für den Button-Container */
  .button-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
  }

  /* Stile für die Buttons */
  .ingredient-button {
    width: 150px; /* Quadrat Breite */
    height: 150px; /* Quadrat Höhe */
    font-size: 16px;
    background-color: #2c312c;
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
  }

  .ingredient-button:hover {
    background-color: #000000;
  }

  /* Stile für angeklickte Buttons */
  .ingredient-button.clicked {
    background-color: #6d634f; /* Farbe für angeklickte Buttons */
  }
}

/* Stile für die Buttons */
.ingredient-button {
  width: 150px; /* Quadrat Breite */
  height: 150px; /* Quadrat Höhe */
  font-size: 16px;
  background-color: #baccbb;
  color: black;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

